Skip to main content
GET
/
api
/
v2
/
campaigns
/
analytics
/
daily
Get daily campaign analytics
curl --request GET \
  --url https://api.instantly.ai/api/v2/campaigns/analytics/daily \
  --header 'Authorization: Bearer <token>'
[
  {
    "date": "2025-03-01",
    "sent": 5421,
    "contacted": 5000,
    "new_leads_contacted": 200,
    "opened": 99,
    "unique_opened": 60,
    "replies": 60,
    "unique_replies": 60,
    "replies_automatic": 5,
    "unique_replies_automatic": 4,
    "clicks": 60,
    "unique_clicks": 60,
    "opportunities": 5,
    "unique_opportunities": 3
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

campaign_id
string<uuid>

Campaign ID (optional). Leave this field empty to get the analytics for all campaigns

Example:

"019cc043-e310-7c4c-a81a-74d9252f0408"

start_date
string

Start date

Example:

"2024-01-01"

end_date
string

End date

Example:

"2024-01-01"

campaign_status
enum<number>

Filter by campaign status (only the analytics for the campaigns with the specified status will be returned)

Available options:
-99,
-1,
-2,
0,
1,
2,
3,
4
Example:

1

Response

Default Response

date
string

The date of the analytics entry, in YYYY-MM-DD format

Example:

"2025-03-01"

sent
integer

The total number of sent emails

Example:

5421

contacted
integer

The total number of unique contacts who received an email that day

Example:

5000

new_leads_contacted
integer

The total number of new leads contacted that day

Example:

200

opened
integer

The total number of opened emails

Example:

99

unique_opened
integer

The total number of unique opened emails

Example:

60

replies
integer

The total number of replies

Example:

60

unique_replies
integer

The total number of unique replies

Example:

60

replies_automatic
integer

The total number of automatic replies detected

Example:

5

unique_replies_automatic
integer

The total number of unique automatic replies detected

Example:

4

clicks
integer

The total number of links clicked

Example:

60

unique_clicks
integer

The total number of unique links clicked. Unique meaning from unique leads, not unique links. For instance, if a lead clicked a link 3 times, it will be counted as 1 unique click. If a lead clicked 3 different links, it will still be counted as 1 unique click

Example:

60

opportunities
integer

The total number of unique opportunities created from the campaign on that day

Example:

5

unique_opportunities
integer

The total number of unique opportunities created from unique leads from the campaign on that day

Example:

3